---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: ui
  namespace: artifactapi
  annotations:
    configmap.reloader.stakater.com/auto: "true"
spec:
  selector:
    matchLabels:
      app: ui
  strategy:
    rollingUpdate:
      maxUnavailable: 1
    type: RollingUpdate
  template:
    metadata:
      labels:
        app: ui
    spec:
      automountServiceAccountToken: true
      containers:
        - name: ui
          image: git.unkin.net/unkin/artifactapi-ui:v3.11.1
          imagePullPolicy: IfNotPresent
          ports:
            - containerPort: 80
              name: http
              protocol: TCP
          livenessProbe:
            failureThreshold: 3
            httpGet:
              path: /ui
              port: http
              scheme: HTTP
            initialDelaySeconds: 15
            periodSeconds: 30
            successThreshold: 1
            timeoutSeconds: 5
          readinessProbe:
            failureThreshold: 3
            httpGet:
              path: /ui
              port: http
              scheme: HTTP
            initialDelaySeconds: 5
            periodSeconds: 5
            successThreshold: 1
            timeoutSeconds: 5
          resources:
            limits:
              cpu: 500m
              memory: 512Mi
            requests:
              cpu: 50m
              memory: 128Mi
      restartPolicy: Always
